## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreParserProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.emf.ecoretools.diagram.providers.EcoreParserProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.common.ui.services.parser.IParserProvider

    public class EcoreParserProvider

extends org.eclipse.gmf.runtime.common.core.service.AbstractProvider
implements org.eclipse.gmf.runtime.common.ui.services.parser.IParserProvider

Nested Class Summary
`static class` `EcoreParserProvider.HintAdapter`

Constructor Summary
`EcoreParserProvider()`

Method Summary
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEAnnotationSource_4007Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEAttribute_2001Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEClassName_4001Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEClassName_4002Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEDataTypeInstanceClassName_4004Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEDataTypeInstanceClassName_4009Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEDataTypeName_4003Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEDataTypeName_4008Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEEnumLiteral_2006Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEEnumName_4005Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEEnumName_4010Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEOperation_2002Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEPackageName_4006Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEReferenceLowerBoundUpperBound_4012Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEReferenceName_4011Parser()`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `createEStringToStringMapEntry_2007Parser()`
`org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `getParser(org.eclipse.core.runtime.IAdaptable hint)`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `getParser(int visualID)`
`boolean` `provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreParserProvider

    public EcoreParserProvider()

Method Detail

### createEClassName_4001Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEClassName_4001Parser()

### createEPackageName_4006Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEPackageName_4006Parser()

### createEAnnotationSource_4007Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEAnnotationSource_4007Parser()

### createEDataTypeName_4008Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEDataTypeName_4008Parser()

### createEDataTypeInstanceClassName_4009Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEDataTypeInstanceClassName_4009Parser()

### createEEnumName_4010Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEEnumName_4010Parser()

### createEAttribute_2001Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEAttribute_2001Parser()

### createEOperation_2002Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEOperation_2002Parser()

### createEClassName_4002Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEClassName_4002Parser()

### createEDataTypeName_4003Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEDataTypeName_4003Parser()

### createEDataTypeInstanceClassName_4004Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEDataTypeInstanceClassName_4004Parser()

### createEEnumName_4005Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEEnumName_4005Parser()

### createEEnumLiteral_2006Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEEnumLiteral_2006Parser()

### createEStringToStringMapEntry_2007Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEStringToStringMapEntry_2007Parser()

### createEReferenceName_4011Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEReferenceName_4011Parser()

### createEReferenceLowerBoundUpperBound_4012Parser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser createEReferenceLowerBoundUpperBound_4012Parser()

### getParser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser getParser(int visualID)

### getParser

    public org.eclipse.gmf.runtime.common.ui.services.parser.IParser getParser(org.eclipse.core.runtime.IAdaptable hint)

  Specified by:
    `getParser` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParserProvider`

### provides

    public boolean provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)

  Specified by:
    `provides` in interface `org.eclipse.gmf.runtime.common.core.service.IProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.